SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Multimedia)  >   mcGallery Vendors:   phpforums.net
mcGallery Input Validation Holes Let Remote Users View Files and Determine the Installation Path
SecurityTracker Alert ID:  1014215
SecurityTracker URL:  http://securitytracker.com/id/1014215
CVE Reference:   CVE-2005-1997, CVE-2005-1998   (Links to External Site)
Updated:  Jul 17 2008
Original Entry Date:  Jun 16 2005
Impact:   Disclosure of system information, Disclosure of user information
Exploit Included:  Yes  
Version(s): 1.1
Description:   Several vulnerabilities were reported in mcGallery. A remote user can view files on the target system. A remote user can determine the installation path.

The 'admin.php' script does not properly validate user-supplied input in the 'lang' parameter. A remote user can supply a specially crafted URL containing '../' directory traversal characters to view files on the target system.

A demonstration exploit URL is provided:

http://[target]/mcgallery/admin.php?lang=../../../../../../etc/passwd

The 'show.php' script does not properly validate user-supplied input in the 'host' parameter. A remote user can supply a specially crafted URL to cause the system to attempt to connect to an arbitrary database and disclose the installation path.

A demonstration exploit URL is provided:

http://[target]/mcgallery/show.php?host=[attacker]

D_BuG from NemesisSecurityTeam reported this vulnerability.

Impact:   A remote user can view files on the target system with the privileges of the target web service.

A remote user can determine the installation path.

Solution:   No solution was available at the time of this entry.
Vendor URL:  phpforums.net/mcgallery/ (Links to External Site)
Cause:   Access control error, Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  Vulnerability: McGallery v 1.1 files reading on disk


Vendor: Phpforum, http://www.phpforums.net/
Product: McGallery v 1.1

Vulnerability: files reading on disk
Consequences: Web server paths are opened 
Risk: High

Description: Attacker can form the query in URL form ang get the access to the system files
Example: thttp://example.com/mcgallery/admin.php?lang=../../../../../../etc/passwd

Discoveried By D_BuG d_bug@bk.ru
NemesisSecurityTeam
http://nemesisoftware.com/

CheckZond free v. 1.0 http://nemesisoftware.com/products.htm
uses the vulnerabilities above for automatic vulnerabilities search (Google Hacking technique) and usage.

-- 
Best regards,
 D_BuG                          mailto:d_bug@bk.ru

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2022, SecurityGlobal.net LLC